
Katello - Feature #24075

System Purpose P1, P2

06/26/2018 12:26 PM - Jonathon Turel

Status: Closed   

Priority: Normal   

Assignee: Jonathon Turel   

Category:    

Target version: Katello 3.9.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

System Purpose aims to improve the efficiency of Red Hat subscription auto-attach by allowing users to specify a set of attributes

(Primary Offering, Usage, SLA, Addons) on their systems. The presence of these attributes will ensure that the most appropriate

subscriptions are bound through auto-attach. When none of the attributes are set the auto-attach will be consistent with today.

Related issues:

Blocked by Katello - Feature #24169: API actions for System Purpose on a Host Rejected

Blocked by Katello - Feature #24171: System Purpose for Create Host page Rejected 07/05/2018

Blocked by Katello - Feature #24172: Upgrade to Candlepin version supporting ... Closed

Blocked by Katello - Feature #24174: UI actions for System Purpose on host de... Closed

Blocked by Katello - Feature #24178: Show System Purpose Status on Host Detai... Duplicate

Blocked by Katello - Feature #24575: Add purpose attributes Closed

Blocked by Katello - Feature #24915: Process candlepin system purpose complia... Closed

Blocked by Katello - Feature #24916: Display content host system purpose comp... Closed

Blocked by Katello - Feature #25082: Send system purpose compliance created e... Closed

History

#1 - 07/05/2018 10:15 PM - Jonathon Turel

- Blocked by Feature #24169: API actions for System Purpose on a Host added

#2 - 07/05/2018 10:42 PM - Jonathon Turel

- Blocked by Feature #24170: Hammer actions for System Purpose on a Host added

#3 - 07/05/2018 11:32 PM - Jonathon Turel

- Blocked by Feature #24171: System Purpose for Create Host page added

#4 - 07/05/2018 11:37 PM - Jonathon Turel

- Blocked by Feature #24172: Upgrade to Candlepin version supporting System Purpose added

#5 - 07/05/2018 11:48 PM - Jonathon Turel

- Blocks Feature #24173: API actions for System Purpose on Bulk Hosts added

#6 - 07/06/2018 12:05 AM - Jonathon Turel

- Blocked by Feature #24174: UI actions for System Purpose on host details page added

#7 - 07/06/2018 12:25 AM - Jonathon Turel

- Blocked by Feature #24175: UI actions for System Purpose on Bulk Hosts added

#8 - 07/06/2018 12:28 AM - Jonathon Turel

- Blocks deleted (Feature #24173: API actions for System Purpose on Bulk Hosts)
#9 - 07/06/2018 12:29 AM - Jonathon Turel

- Blocked by Feature #24173: API actions for System Purpose on Bulk Hosts added

#10 - 07/06/2018 12:59 AM - Jonathon Turel

- Blocked by Feature #24177: Show System Purpose Status via API added

#11 - 07/06/2018 01:05 AM - Jonathon Turel

- Blocked by Feature #24178: Show System Purpose Status on Host Details page added

#12 - 07/06/2018 01:29 AM - Jonathon Turel

- Blocked by Feature #24179: API actions for System Purpose on Activation Keys added

#13 - 07/06/2018 01:36 AM - Jonathon Turel

- Blocked by Feature #24180: [UI] Support System Purpose on Activation Keys added

#14 - 07/06/2018 01:42 AM - Jonathon Turel

- Blocked by Feature #24181: Notifications for System Purpose added

#15 - 07/18/2018 06:31 PM - Jonathon Turel

- Target version changed from Katello 3.8.0 to Katello 3.9.0

- Triaged set to Yes

#16 - 08/09/2018 06:30 PM - Jonathon Turel

- Blocked by Feature #24575: Add purpose attributes added

#17 - 09/12/2018 02:38 PM - Jonathon Turel

- Blocked by Feature #24915: Process candlepin system purpose compliance event added

#18 - 09/12/2018 02:41 PM - Jonathon Turel

- Blocked by Feature #24916: Display content host system purpose compliance status added

#19 - 10/01/2018 03:30 PM - Jonathon Turel

- Blocked by Feature #25082: Send system purpose compliance created even to the katello event queue added

#20 - 10/10/2018 05:10 PM - Jonathon Turel

- Blocked by deleted (Feature #24175: UI actions for System Purpose on Bulk Hosts)

#21 - 10/10/2018 05:11 PM - Jonathon Turel

- Blocked by deleted (Feature #24170: Hammer actions for System Purpose on a Host)

#22 - 10/10/2018 05:12 PM - Jonathon Turel

- Blocked by deleted (Feature #24173: API actions for System Purpose on Bulk Hosts)

#23 - 10/10/2018 05:13 PM - Jonathon Turel

- Blocked by deleted (Feature #24177: Show System Purpose Status via API)

#24 - 10/10/2018 05:14 PM - Jonathon Turel

- Blocked by deleted (Feature #24179: API actions for System Purpose on Activation Keys)

#25 - 10/10/2018 05:14 PM - Jonathon Turel

- Blocked by deleted (Feature #24180: [UI] Support System Purpose on Activation Keys)

#26 - 10/10/2018 05:14 PM - Jonathon Turel

- Blocked by deleted (Feature #24181: Notifications for System Purpose)

#27 - 10/10/2018 05:17 PM - Jonathon Turel
- Subject changed from System Purpose to System Purpose P1, P2

#28 - 10/31/2018 06:01 PM - Jonathon Turel

- Status changed from New to Closed
